Name:           python-livestreamer
Version:        1.7.3
Release:        %mkrel 1

License:        GPL
Group:          Development/Python
Summary:        CLI for piping video streams to video players
URL:            http://livestreamer.tanuki.se/
Source:         livestreamer-%{version}.tar.xz
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch
Requires: python >= 2.7
Requires: python-requests 
Requires: rtmpdump



%description
Livestreamer is a Command Line Interface that pipes video streams from 
various services into a video player, such as VLC. The main purpose of 
Livestreamer is to allow the user to avoid buggy and CPU heavy 
flash plugins but still be able to enjoy various streamed content.
 Livestreamer is built upon a plugin system which allows support 
for new services to be easily added. Currently most of the big streaming 
services are supported, e.g. Dailymotion, Livestream, Twitch, Justin.tv, 
YouTube Live and Ustream.

%prep
%setup -q -n livestreamer-%{version}


%build
python setup.py build

%install
python setup.py install --root=%{buildroot} 


%clean
rm -rf $RPM_BUILD_ROOT



%files 
%defattr(-,root,root,-)
%doc LICENSE *.rst README.rst LICENSE.* AUTHORS
%_bindir/livestreamer
%{python_sitelib}/livestreamer
%{python_sitelib}/livestreamer_cli
%{python_sitelib}/livestreamer-*.egg-info



%changelog
* Wed Feb 12 2014 Ken <lxgator at gmail.com> 1.7.3-pclos2014
- Create pkg
